\version "2.12.2"
mystaffsize = #16
#(set-global-staff-size mystaffsize)

\header {
     title = "Quemadmodum desiderat cervus"
     subtitle = "BuxWV 92"
     composer = "D.Buxtehude"
	 tagline = ##f
}

\paper{
%size
	#(set-default-paper-size "a4" )
%	paper-height = 297\mm
%	paper-width = 210\mm
	
%margin
	top-margin = 10 \mm
	bottom-margin = 10 \mm
	left-margin = 15 \mm
	right-margin = 15 \mm
	head-separation = 0 \mm
	foot-separation = 5 \mm
%linewidth
	#(define line-width (- paper-width left-margin right-margin))
%fonts
	#(define fonts
		(make-pango-font-tree "Minion Pro"
		"Myriad Pro"
		"Courier"
		(/ mystaffsize 20)))
%spacing issues
	%annotate-spacing =##t
	%between-system-padding = #1
	%between-system-space = #1
	%page-limit-inter-system-space = ##t
    %page-limit-inter-system-space-factor = #2
	ragged-last-bottom = ##f
	%ragged-bottom = ##t
	system-count = #36
	page-count = #9
	oddFooterMarkup = \markup {
	\tiny \fill-line {
			\line {published using lilypond}
			\line {\fromproperty #'header:composer 
			" - "
			\fromproperty #'header:title
			}
			\epsfile #X #10 #"by-sa.eps" %\line{creative commons - by sa}
	}
	}
}


\layout{
    \context {
	\Score
    \override VerticalAlignment #'max-stretch = #ly:align-interface::calc-max-stretch
 	}
	\context { \Staff
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-4.7 . 4.7)
	}
	\context { \Lyrics
	\override VerticalAxisGroup #'Y-extent = #'(0 . 0)
	\override VerticalAxisGroup #'minimum-Y-extent = ##f
	}
	\context { \FiguredBass
	\override VerticalAxisGroup #'Y-extent = #'(0 . 0)
	\override VerticalAxisGroup #'minimum-Y-extent = ##f
	}
}


global= {
	\key f \major
	\defaultTimeSignature
	\time 4/4
%  	\set subdivideBeams = ##t	
}

\include "n_bc.ily"
\include "n_v2.ily"
\include "n_v1.ily"
\include "n_t.ily"
\include "layoutvoice.ily"


\score
{
\new GrandStaff
<<
	\new StaffGroup = "Violino" 
	<<
		\new Staff
		<< 
			\new Voice {\layoutvoice}
			\set Staff.instrumentName = #"Violino 1" 
			\new Voice {\global \ViolinoPrimo }
		>>
		\new Staff
		<< 
			\set Staff.instrumentName = #"Violino 2"
			\new Voice {\global \ViolinoSecondo }
		>>
	>>
	\new ChoirStaff = "Voices" 
	<<	
		\new Staff
		<<
			\set Staff.instrumentName = #"Tenore"
			\new Voice = "Tenore" {
				\global
				\set subdivideBeams = ##t 
				\autoBeamOff 
 				\Tenore 
				\autoBeamOn 
			}
			\new Lyrics 
			\lyricsto "Tenore" { \TenoreText }
		>>
	>>
	\new StaffGroup ="BC"
	<<	
		\new Staff
		<< 
			\set Staff.instrumentName = #"Basso Continuo"
			\new Voice = "BassoContinuo" {
			\global 
			\BassoContinuo
			}		
		>>
	>>
>>
\layout{}
}